Check your PC


This diagnostic page checks whether your PC has various components installed which may be needed to run e-learning courses.

Browser The LMS will work in any recent browser. We recommmend Internet Explorer version 6 or later, or Firefox version 1 or later.
Screen resolution 1024x768 resolution or better.
Adobe Flash Version 8 or later
Java Runtime Required (any version)
Adobe Acrobat Reader Required (any version)
Close window